kjs Library: KJS::ListIterator Class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ListIterator Class Reference

Iterator for KJS::List objects. More...

`#include <list.h>`

Collaboration diagram for KJS::ListIterator:

[legend]
List of all members.

## Public Member Functions
| ListIterator (const List &l)
| ListIterator (const List &l, int index)
ValueImp * | operator-> () const
Value | operator * () const
Value | operator++ ()
Value | operator++ (int)
Value | operator-- ()
Value | operator-- (int)
bool | operator== (const ListIterator &it) const
bool | operator!= (const ListIterator &it) const

## Detailed Description

Iterator for KJS::List objects.

Definition at line 138 of file list.h.

## Constructor & Destructor Documentation

KJS::ListIterator::ListIterator | ( | const List & | l | ) | `[inline]`

  | Construct an iterator that points to the first element of the list. Parameters:
  | l | The list the iterator will operate on.
Definition at line 144 of file list.h.

## Member Function Documentation

ValueImp* KJS::ListIterator::operator-> | ( |  | ) | const`[inline]`

| Dereference the iterator. Returns: A pointer to the element the iterator operates on. Definition at line 150 of file list.h.

Value KJS::ListIterator::operator++ | ( |  | ) | `[inline]`

| Prefix increment operator. Returns: The element after the increment. Definition at line 156 of file list.h.

Value KJS::ListIterator::operator++ | ( | int |  | ) | `[inline]`

| Postfix increment operator. Definition at line 160 of file list.h.

Value KJS::ListIterator::operator-- | ( |  | ) | `[inline]`

| Prefix decrement operator. Definition at line 164 of file list.h.

Value KJS::ListIterator::operator-- | ( | int |  | ) | `[inline]`

| Postfix decrement operator. Definition at line 168 of file list.h.

bool KJS::ListIterator::operator== | ( | const ListIterator & | it | ) | const`[inline]`

| Compare the iterator with another one. Returns: True if the two iterators operate on the same list element. False otherwise. Definition at line 174 of file list.h.

bool KJS::ListIterator::operator!= | ( | const ListIterator & | it | ) | const`[inline]`

| Check for inequality with another iterator. Returns: True if the two iterators operate on different list elements. Definition at line 179 of file list.h.

The documentation for this class was generated from the following file:

- list.h

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003